; ****************************************************************************
;       TITLE: HELP4.sc 
;     SESSION: PAOLINI - Providing Custom Help in Paradox 4 Apps
;   COPYRIGHT: (c) 1993 - Dan Paolini - DataStar International
; DESCRIPTION: Example of MESSAGE-BASED Field-Level Help
; ****************************************************************************

   DynArray fieldmsg.y[]
      fieldmsg.y["D\\Super_SuperId"]      = "What the heck is a Supervisor Group ID?  Well, here, we could say."
      fieldmsg.y["D\\Super_SLastName"]    = ""
      fieldmsg.y["D\\Super_SFirstName"]   = ""
      fieldmsg.y["D\\Super_DeptCode"]     = "Press <F1> for Table Lookup"
      fieldmsg.y["D\\Super_MgrId"]        = "Press <F1> for Table Lookup"
      fieldmsg.y["D\\Super_UnitId"]       = "" ;Press <F1> for Table Lookup"
      fieldmsg.y["D\\Super_SuperCode"]    = ""
      fieldmsg.y["D\\Super_Shift"]        = "Enter 1, 2, or 3"
      fieldmsg.y["D\\Super_SEmplId"]      = ""
      fieldmsg.y["D\\Super_DAEmplid"]     = "Press <F1> for Table Lookup"

   View "D\\Super"
   PickForm "2"
   Window Handle Form To h4
   DynArray y4[]
      y4["Maximized"] = True
      y4["HasFrame"] = False
   Window SetAttributes h4 From y4

PROC myWaitHandler.n(x,y,z)
   IF x = "EVENT" THEN
      IF y["Type"] = "IDLE" THEN
         Message fieldmsg.y[Table()+"_"+Field()]
         NewWaitSpec
            Key "F2"
            Trigger "ARRIVEFIELD"
         Return 0
      ELSE
         Return 2
      ENDIF
   ELSE
      Message fieldmsg.y[Table()+"_"+Field()]
      Return 0
   ENDIF
ENDPROC

   Message ""
   WAIT Table
      Proc "myWaitHandler.n"
         Key "F2"
         IDLE
         Trigger "ARRIVEFIELD"
   ENDWAIT




