; ****************************************************************************
;       TITLE: MENU3.sc
;     SESSION: PAOLINI - Interface Issues in Paradox 4
;   COPYRIGHT: (c) 1993 - Dan Paolini - DataStar International
; DESCRIPTION: Example of Dialog Box-based Multiple Menus
; ****************************************************************************
Cursor OFF
PROC RefreshMenu.l(a,b,c,d)
   IF a = "ARRIVE" THEN
      frametag.a = b
      RepaintDialog
   ELSE
      CANCELDIALOG
   ENDIF
ENDPROC

   GetColors to democolors.y
   DynArray dboxcolors.y[]
      dboxcolors.y["1056"] = 112
      dboxcolors.y["1057"] = 31
      dboxcolors.y["1058"] = 126
   SetColors from dboxcolors.y

   Array menu1items.r[6]
      menu1items.r[1] = "This is the first menu selection"
      menu1items.r[2] = "This is the second menu selection"
      menu1items.r[3] = "This is the third menu selection"
      menu1items.r[4] = "This is the fourth menu selection"
      menu1items.r[5] = "This is the fifth menu selection"
      menu1items.r[6] = "This is the last one"

   Array menu2items.r[6]
      menu2items.r[1] = "This is the first menu selection"
      menu2items.r[2] = "This is the second menu selection"
      menu2items.r[3] = "This is the third menu selection"
      menu2items.r[4] = "This is the fourth menu selection"
      menu2items.r[5] = "This is the fifth menu selection"
      menu2items.r[6] = "This is the last one"

   Array menu3items.r[6]
      menu3items.r[1] = "This is the first menu selection"
      menu3items.r[2] = "This is the second menu selection"
      menu3items.r[3] = "This is the third menu selection"
      menu3items.r[4] = "This is the fourth menu selection"
      menu3items.r[5] = "This is the fifth menu selection"
      menu3items.r[6] = "This is the last one"

   Array menu4items.r[6]
      menu4items.r[1] = "This is the first menu selection"
      menu4items.r[2] = "This is the second menu selection"
      menu4items.r[3] = "This is the third menu selection"
      menu4items.r[4] = "This is the fourth menu selection"
      menu4items.r[5] = "This is the fifth menu selection"
      menu4items.r[6] = "This is the last one"

   Array menu5items.r[6]
      menu5items.r[1] = "This is the first menu selection"
      menu5items.r[2] = "This is the second menu selection"
      menu5items.r[3] = "This is the third menu selection"
      menu5items.r[4] = "This is the fourth menu selection"
      menu5items.r[5] = "This is the fifth menu selection"
      menu5items.r[6] = "This is the last one"

   Array menu6items.r[1]
      menu6items.r[1] = "Quit This Demonstration"
   frametag.a = "MENU1"
   lowlight.n = 127
   highlight.n = 112

   ShowDialog "Demonstration of Multiple PickList Menu"
      PROC "RefreshMenu.l" KEY 13 Trigger "ARRIVE"
      @2,3 Height 20 Width 74

      Frame Single From 1,1 To 8,22
      PaintCanvas Border
                  Attribute IIF(frametag.a="MENU1",highlight.n,lowlight.n)
                  1,1,8,22
      PaintCanvas Border
                  Attribute IIF(frametag.a="MENU1",lowlight.n,highlight.n)
                  1,1,1,21
      PaintCanvas Border
                  Attribute IIF(frametag.a="MENU1",lowlight.n,highlight.n)
                  1,1,8, 1

      Frame Single From 1,25 To 8,46
      PaintCanvas Border
                  Attribute IIF(frametag.a="MENU2",highlight.n,lowlight.n)
                  1,25,8,46
      PaintCanvas Border
                  Attribute IIF(frametag.a="MENU2",lowlight.n,highlight.n)
                  1,25,1,45
      PaintCanvas Border
                  Attribute IIF(frametag.a="MENU2",lowlight.n,highlight.n)
                  1,25,8, 25

      Frame Single From 1,49 To 8,70
      PaintCanvas Border
                  Attribute IIF(frametag.a="MENU3",highlight.n,lowlight.n)
                  1,49,8,70
      PaintCanvas Border
                  Attribute IIF(frametag.a="MENU3",lowlight.n,highlight.n)
                  1,49,1,69
      PaintCanvas Border
                  Attribute IIF(frametag.a="MENU3",lowlight.n,highlight.n)
                  1,49,8, 49

      Frame Single From 10,1 To 17,22
      PaintCanvas Border
                  Attribute IIF(frametag.a="MENU4",highlight.n,lowlight.n)
                  10,1,17,22
      PaintCanvas Border
                  Attribute IIF(frametag.a="MENU4",lowlight.n,highlight.n)
                  10,1,10,21
      PaintCanvas Border
                  Attribute IIF(frametag.a="MENU4",lowlight.n,highlight.n)
                  10,1,17, 1

      Frame Single From 10,25 To 17,46
      PaintCanvas Border
                  Attribute IIF(frametag.a="MENU5",highlight.n,lowlight.n)
                  10,25,17,46
      PaintCanvas Border
                  Attribute IIF(frametag.a="MENU5",lowlight.n,highlight.n)
                  10,25,10,45
      PaintCanvas Border
                  Attribute IIF(frametag.a="MENU5",lowlight.n,highlight.n)
                  10,25,17, 25

      Frame Single From 10,49 To 17,70
      PaintCanvas Border
                  Attribute IIF(frametag.a="MENU6",highlight.n,lowlight.n)
                  10,49,17,70
      PaintCanvas Border
                  Attribute IIF(frametag.a="MENU6",lowlight.n,highlight.n)
                  10,49,10,69
      PaintCanvas Border
                  Attribute IIF(frametag.a="MENU6",lowlight.n,highlight.n)
                  10,49,17, 49

      PickArray @2,2 Height 6 Width 19
         Columns 1
         menu1items.r
         Tag "MENU1"
         To menu1tag.n

      Label @1,2
         "First Menu"
         For "MENU1"

      PickArray @2,26 Height 6 Width 19
         Columns 1
         menu2items.r
         Tag "MENU2"
         To menu2tag.n

      Label @1,26
         "Second Menu"
         For "MENU2"

      PickArray @2,50 Height 6 Width 19
         Columns 1
         menu3items.r
         Tag "MENU3"
         To menu3tag.n

      Label @1,50
         "Third Menu"
         For "MENU3"

      PickArray @11,2 Height 6 Width 19
         Columns 1
         menu4items.r
         Tag "MENU4"
         To menu4tag.n

      Label @10,2
         "Fourth Menu"
         For "MENU4"

      PickArray @11,26 Height 6 Width 19
         Columns 1
         menu5items.r
         Tag "MENU5"
         To menu5tag.n

      Label @10,26
         "Fifth Menu"
         For "MENU5"

      PickArray @11,50 Height 6 Width 19
         Columns 1
         menu6items.r
         Tag "MENU6"
         To menu6tag.n

      Label @10,50
         "Sixth Menu"
         For "MENU6"
   EndDialog
   SetColors Default
   Release Vars All
